libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Sidereal Time

## Functions
double LIBNOVA_EXPORT | ln_get_mean_sidereal_time (double JD)
| Calculate mean sidereal time from date. More...
double LIBNOVA_EXPORT | ln_get_apparent_sidereal_time (double JD)
| Calculate apparent sidereal time from date. More...

## Detailed Description

TODO

## Function Documentation

double ln_get_apparent_sidereal_time | ( | double | JD | ) |

Calculate apparent sidereal time from date.

Parameters

  JD | Julian Day /return Apparent sidereal time (hours).

Calculate the apparent sidereal time at the meridian of Greenwich of a given date.

References ln_deg_to_rad(), ln_get_mean_sidereal_time(), ln_get_nutation(), ln_nutation::longitude, and ln_nutation::obliquity.

Referenced by ln_get_body_rst_horizon(), and ln_get_equ_from_hrz().

double ln_get_mean_sidereal_time | ( | double | JD | ) |

Calculate mean sidereal time from date.

Parameters

  JD | Julian Day

Returns
  Mean sidereal time.

Calculate the mean sidereal time at the meridian of Greenwich of a given date.

References ln_range_degrees().

Referenced by ln_get_apparent_sidereal_time(), and ln_get_hrz_from_equ().